For the complete documentation index, see llms.txt. This page is also available as Markdown.

App Settings

Manage app settings via the VARIO Cloud REST API, including retrieving, creating, updating, and deleting settings by app identifier.

settings for apps

find settings by app-identifier

get
Path parameters
appIdentifierstring · uuidRequired
Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

get/cmn/apps/{appIdentifier}/settings
GET /cmn/apps/{appIdentifier}/settings HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

create/update settings

post
Path parameters
appIdentifierstring · uuidRequired
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

post/cmn/apps/{appIdentifier}/settings
POST /cmn/apps/{appIdentifier}/settings HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 468

{
  "version": "text",
  "info": {},
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

deletes a settings entry

delete
Path parameters
appIdentifierstring · uuidRequired
Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/apps/{appIdentifier}/settings
DELETE /cmn/apps/{appIdentifier}/settings HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Last updated

Was this helpful?